exports.up = (knex) => {
  return knex.schema.createTable('media', (table) => {
    table.increments('id');
    table.timestamps(true, true);
    table.string("src").notNullable();
    table.enum("preload", ["none", "metadata", "auto"]).defaultTo("none");
    table.string("torrent_url");
  })
};

exports.down = (knex) => {
  return knex.schema.dropTable('media');
};

